
Foreman - Feature #3022

Set disk size of ec2 instance from "Virtual Machine" tab of UI

09/04/2013 02:30 PM - Jim Bailey

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman currently doesn't allow you to set the disk size of the VM you wish to provision instead it only allows the AWS default of

8GB. It would be useful to set the size of the VM during New Host creation.

Related issues:

Related to Foreman - Bug #4337: EC2 use block device mapping New

Has duplicate Foreman - Feature #4285: EC2 - Create a Option in the Web Gui f... Duplicate 02/06/2014

History

#1 - 09/04/2013 02:39 PM - Dominic Cleal

- Category set to Compute resources

#2 - 09/26/2014 07:13 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#3 - 09/26/2014 07:13 AM - Dominic Cleal

- Related to Bug #4337: EC2 use block device mapping added

#4 - 01/26/2016 10:04 AM - Anonymous

Any news on this request? It would be really useful. Thanks

#5 - 05/17/2017 03:10 PM - Anonymous

- Has duplicate Feature #4285: EC2 - Create a Option in the Web Gui for DeviceName and VolumeSize added

#6 - 08/29/2017 03:20 AM - Adam Cécile

- File patch_foreman_to_raise_aws_ec2_disk_size_to_20g.patch added

Hi,

This is really something that renders EC2 integration nearly useless :/

In the meanwhile, please find attached an updated patch to hardcode size to 20G...

Regards, Adam.

#7 - 12/17/2019 11:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7270 added

#8 - 01/07/2021 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/7270)
#9 - 07/15/2021 09:38 AM - Amir Fefer

- Difficulty set to easy

- Triaged changed from No to Yes

The PR has been close by the bot due to no activity, looks like it just needs a rebase

Files

patch_foreman_to_raise_aws_ec2_disk_size_to_20g.patch 644 Bytes 08/29/2017 Adam Cécile
